REMCTL_NOOP(3)

NAME
remctl_noop - Send a NOOP message to a remctl server

SYNOPSIS
#include <remctl.h>

int remctl_noop(struct remctl *r);

DESCRIPTION
remctl_noop() sends a NOOP message to a remctl server and reads the expected NOOP response. This is primarily used to keep a connection to a remctl server alive, such as through a firewall with a session timeout, while waiting to issue further commands.

The NOOP message requires protocol version 3 support in the server, so the caller should be prepared for this function to fail, indicating that the connection could not be kept alive and possibly that it was closed by the server. In this case, the client will need to explicitly reopen the connection with remctl_open().

RETURN VALUE
remctl_noop() returns true on success and false on failure. On failure, the caller should call remctl_error() to retrieve the error message. In addition to network errors, this function may fail if the server doesn't support protocol version 3.

COMPATIBILITY
This interface was added in version 3.0.

AUTHOR
Russ Allbery <eagle@eyrie.org>

COPYRIGHT AND LICENSE
Copyright 2011, 2014 The Board of Trustees of the Leland Stanford Junior University

Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved. This file is offered as-is, without any warranty.

SPDX-License-Identifier: FSFAP

SEE ALSO
remctl_new(3), remctl_open(3), remctl_command(3), remctl_error(3)

The current version of the remctl library and complete details of the remctl protocol are available from its web page at <https://www.eyrie.org/~eagle/software/remctl/>.